# Update task history

Update task history. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/put-api-FlowTaskHistory-id

PUT `/FlowTaskHistory/{id}`

Update task history. See the OpenAPI-defined parameters, request body, and responses below.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>path</code></td><td><code>integer · int32</code></td><td>Yes</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

**Content type:** `application/json` · **Schema:** `FlowTaskHistoryDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowTaskId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>eventType</code></td><td><code>FlowTaskHistoryEventType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>fromFlowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>toFlowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>payload</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>



## Example request



```
curl --request PUT \
  --url 'https://api.zild.ai/FlowTaskHistory/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "flowTaskId": 0,
  "eventType": 0,
  "fromFlowStageId": 0,
  "toFlowStageId": 0,
  "userId": 0,
  "agentId": 0,
  "description": "string",
  "payload": "string",
  "createdAt": "2026-09-22T18:00:00Z"
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>OK</td><td>No response body is defined.</td></tr></tbody></table>



## Data models

`FlowTaskHistoryDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowTaskId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>eventType</code></td><td><code>FlowTaskHistoryEventType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>fromFlowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>toFlowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>payload</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`FlowTaskHistoryEventType`0 = Created; 1 = StageChanged; 2 = Assigned; 3 = Completed; 4 = Rejected; 5 = Reopened; 6 = Commented; 7 = ExecutedByAgent; 8 = EscalatedToHuman; 9 = ExecutionFailed

`integer`
